// Learn cc.Class:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/class.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/class.html
// Learn Attribute:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/reference/attributes.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/life-cycle-callbacks.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/life-cycle-callbacks.html

cc.Class({
    extends: cc.Component,

    properties: {

    },

    // LIFE-CYCLE CALLBACKS:

    onLoad () {
        this.slider = this.getComponent(cc.Slider);
        this.progressbar = this.getComponent(cc.ProgressBar);

        if(this.slider == null || this.progressbar == null){
            return;
        }

        this.progressbar.progress = this.slider.progress;

        let self = this;
        this.slider.node.on('slide', function(event){
            this.progressbar.progress = this.slider.progress;
        }, this);

    },

    start () {

    },

    onSetProcgress(value){
        this.progressbar.progress = this.slider.progress = value;
    }

    // update (dt) {},
});
